---
search:
  tags:
    - Members
    - PATCH
seo:
  description: >-
    Change a member's role. Reference for the PATCH
    /v1/organizations/{orgId}/members/{membershipId} endpoint in the Stashtab
    Vault Warehouse API.
sidebar:
  label: Change a member's role
  badge: PATCH
title: Change a member's role
type: openapi-operation
---
`PATCH /v1/organizations/{orgId}/members/{membershipId}`

**Request body** (`application/json`, required)

- `expectedRole` (string, required)
- `role` (string, required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "expectedRole": "viewer",
  "role": "viewer",
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "membership": {
      "email": "string",
      "id": "string",
      "joinedAt": "2019-08-24T14:15:22Z",
      "name": "string",
      "role": "viewer"
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
